#ifndef _PPP_H
#define _PPP_H
/*
	$Author: me $ - $Date: 1999/03/21 04:04:01 $
*/
/*----------------------------------------------------------------------------------------
	 NAT
------------------------------------------------------------------------------------------*/
// Network Address Translation for the BeOS
// Richard Burgess <rickb@spy.net>

/*----------------------------------------------------------------------------------------
	 PPP
------------------------------------------------------------------------------------------*/
// RFC 1661
#define PPP_IP_PROTOCOL 	0x0021

// RFC 1332
#define PPP_IPCP_PROTOCOL	0x8021

// I'm not sure if this is right, there's a two byte thing
// "ff 03" tacked on the front of all the ppp packets I've seen.
// I didn't see anything in the rfc about it. After that, it's got
// the two byte header that's in the rfc.
#define PPP_PROTOCOL_OFFSET	2
#define PPP_HEADER_LENGTH	4

// LCP
#define LCP_CODE_OFFSET		0
	#define LCP_CONFIG_REQ	1 
	#define LCP_CONFIG_ACK	2 
	#define LCP_CONFIG_NAK	3
	#define LCP_CONFIG_REJ	4
	#define	LCP_TERM_REQ	5
	#define LCP_TERM_ACK	6
	#define LCP_CODE_REJ	7
	#define LCP_PROTO_REJ	8 
	#define LCP_ECHO_REQ	9
	#define LCP_ECHO_REPLY	10
	#define LCP_DISCARD_REQ	11
#define LCP_IDENT_OFFSET	1
#define LCP_LEN_OFFSET		2
#define LCP_DATA_OFFSET		4

// IPCP
#define IPCP_TYPE_OFFSET	0
	#define IPCP_IP_ADDR	3
#define IPCP_LEN_OFFSET		1
#define IPCP_IP_ADDR_OFFSET	2

#endif