#ifndef _DEBUG_H_
#define _DEBUG_H_
/*
	$Author: me $ - $Date: 1999/04/10 20:36:17 $
*/
// use sparingly, unless you want to fill up your hard drive!
// NOTE: be sure to set the packets base to the beginning of
// the protocol's header.
#include <stdio.h>
#include <list>
#include <map>

// ip dump
void dump_ethernet_packet(FILE* f, BNetPacket*);
void dump_ip_packet(FILE*, BNetPacket*);
void dump_tcp_packet(FILE*, BNetPacket*);
void dump_raw_packet(FILE*, BNetPacket*);

// map dump
void dump_port_map(FILE*, map<pair<uint32, uint16>, uint16>&);
void dump_reverse_port_map(FILE*, map<uint16, pair<uint32, uint16> >&);
void dump_port_socket_map(FILE*, map<uint16, pair<int, bigtime_t> >&);
void dump_socket_pool(FILE*, list<pair<int, uint16> >&);
void dump_map(FILE*,uint16 map_port, uint32 ip, uint16 real_port);
#endif