#ifndef _UDP_H
#define _UDP_H
/*
	$Author: me $ - $Date: 1999/03/21 04:04:02 $
*/
/*----------------------------------------------------------------------------------------
	 NAT
------------------------------------------------------------------------------------------*/
// Network Address Translation for the BeOS
// Richard Burgess <rickb@spy.net>

/*----------------------------------------------------------------------------------------
	 UDP Header
------------------------------------------------------------------------------------------*/
// RFC 768
#pragma align=packed
struct udp_header
{
	uint16	src_port;	// source port
	uint16	dst_port;	// destination port
	uint16	length;		// length
	uint16  checksum;	// checksum
};
#pragma align=reset

// offsets
#define UDP_SRC_PORT_OFFSET	0
#define UDP_DST_PORT_OFFSET	2
#define UDP_LENGTH_OFFSET	4
#define UDP_CHECKSUM_OFFSET	6
#define UDP_HEADER_SIZE		8

#endif